function [voltage_out] = multi_for_SSPM(bias_voltage, power_voltage, input_current, frequency, for_iterations)

V_out = zeros(length(for_iterations),1);

for j = 1:length(for_iterations)
    V_out(j) = SSPM_amp(bias_voltage, power_voltage, input_current, frequency, for_iterations(j));
end

voltage_out = V_out;